
import API  from '@/utils/api.js'
const api = new API("ValuesController");

const state ={
    gengxin:{},//更新对象数据
}

const mutations ={
    getGX(state,data){
        state.gengxin = data;
    },
   
}

const actions ={
    getGengXin({commit},data){
        commit('getGX',data);
    },
    GetUser({commit},data){
        return api.Get('GetUser',data).then(r=>{
            return r.data;
        })
    },
    GetWorkFlowCaseVM({commit},caseCode){
        return api.Get('GetWorkFlowCaseVM',caseCode).then(r=>{
            return r.data;
        })
    },
    PostSystemURL({commit},data){
        return api.Post('PostSystemURL',data).then(r=>{
            return r.data;
        })
    },
    GetSystemURLList({commit}){
        return api.All('GetDDSystemURLList').then(r=>{
            return r.data;
        })
    },
    GetSystemURL({commit},name){
        return api.Get('GetDDSystemURL',name).then(r=>{
            return r.data;
        })
    },
    UpdateSystemURL({commit},data){
        return api.Post('UpdateDDSystemURL',data).then(r=>{
            return r.data;
        })
    },
    GetSystem({commit},data){
        return api.Post('GetSystem',data).then(r=>{
            return r.data;
        })
    },
    UpdateZSystemUser({commit},data){
        return api.Post('UpdateZSystemUser',data).then(r=>{
            return r.data;
        })
    },
    GetInformation({commit},data){
        return api.Post('GetInformation',data).then(r=>{
            return r.data;
        })
    },
}
const getters = {
    gengXins:state =>state.gengxin,
}

export default {
    state,mutations,actions,getters
}
